﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ResizeGridDynamically88556
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //Cause the scrollBars for the TabPage to display, in the event that the nested Grid extends beyond the visible bounds of the page
            ultraTabPageControl1.AutoScroll = true;

            ultraButton1.Click += new EventHandler(ultraButton1_Click);
            ultraButton2.Click += new EventHandler(ultraButton2_Click);

            //Resize the grid during initialization, so that it just fits within the bounds of the TabPage
            ultraGrid1.Size = new Size(ultraTabPageControl1.Width - 6, ultraTabPageControl1.Height - 3);
        }

        //Note that the appearance of the vertical scrollBar will effectively decrease the width of the TabPage view area by approximately 15 pixels, this will
        //also cause the horizontal scrollBar to display, as the Grid will extend beyond the visible area's width by an amount equal to the vertical scrollbar's 
        //width.

        void ultraButton2_Click(object sender, EventArgs e)
        {
            //Decrease the Height of the Grid by some arbitrary amount
            ultraGrid1.Size = new Size(ultraGrid1.Width, ultraGrid1.Height - 3);
        }

        void ultraButton1_Click(object sender, EventArgs e)
        {
            //Increase the Height of the Grid by some arbitrary amount
            ultraGrid1.Size = new Size(ultraGrid1.Width, ultraGrid1.Height + 3);
        }
    }
}
